Subject: bug#61943: 29.0.60; icomplete--in-region-setup should activate icomplete-fido-mode-map too

From: Sean Whitton <[email-masked]>
Date: Sat, 04 Mar 2023 13:44:17 -0700

Hello,

On Sat 04 Mar 2023 at 11:30AM GMT, João Távora wrote:

> On Sat, Mar 4, 2023 at 2:35 AM Sean Whitton <[email-masked]> wrote:
>>
>> Hello,
>>
>> On Fri 03 Mar 2023 at 11:18AM -07, Sean Whitton wrote:
>>
>> > X-debbugs-cc: [email-masked], [email-masked]
>> >
>> > Many thanks to Juri and Joao for fixing #45763!  It's a whole new world!
>> >
>> > I am a fido-mode user.  I noticed that my custom bindings for the
>> > fido-mode minibuffer don't work for in-buffer completion.  I think that
>> > icomplete--in-region-setup should compose in icomplete-fido-mode-map, in
>> > addition to icomplete-minibuffer-map, in the case that fido-mode is on?
>>
>> I noticed that icomplete-hide-common-prefix etc. are wrong too.
>> I think that icomplete--in-region-setup also needs to do something
>> equivalent to the setq-local in icomplete--fido-mode-setup.
>
> Yes, Sean, please report an Emacs -Q recipe for what you are trying
> to get working.

Alright, how about this:

(setq icomplete-in-buffer t)
(fido-mode 1)
M-x eshell
touch foobarbaz
C-x C-f fbb => matches the file
C-g
type "ls fbb"

TAB => No matches
C-g
(setq completion-styles '(flex))
TAB => matches the file & expands

but with fido-mode you shouldn't need to set completion-styles like this.

(In Eshell TAB is completion-at-point and C-M-i is something else.)

-- 
Sean Whitton